Debian Bug report logs - #362047
RM: python2.1, python2.2 -- RoQA; Superseded by python 2.3 & 2.4

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>

Date: Tue, 11 Apr 2006 23:03:21 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#362047; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
New Bug report received and forwarded. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: submit@bugs.debian.org
Subject: RM: python2.1, python2.2 -- RoQA; Superseded by python 2.3 & 2.4
Date: Wed, 12 Apr 2006 00:54:45 +0200
Package: ftp.debian.org

----- Forwarded message from Jeroen van Wolffelaar <jeroen@wolffelaar.nl> -----

Date: Fri, 7 Apr 2006 12:33:11 +0200
To: debian-python@lists.debian.org
Subject: Python 2.1/2.2 removal; Python 2.4 as default
Message-ID: <20060407103311.GQ22446@A-Eskwadraat.nl>
From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
Resent-From: debian-python@lists.debian.org

Hi all,

It's been quite a while, but 2.1 and to a slightly lesser extend, 2.2
are really obsolete now. One of the issues with 2.1 and 2.2 are that
they don't build on amd64, and are holding up a whole chain of packages
also.

Therefore, I'd like to remove python 2.1 and 2.2 as soon as possible,
like, before the weekend for example. As far as I can see, nothing
really important depends on it any more, and whatever it is, can be NMUd
or removed. Most if not all depending packages already have a bug filed
for at least 2 months, which should've been plenty of warning.

[...]

--Jeroen

----- End forwarded message -----

-- 
Jeroen van Wolffelaar
Jeroen@wolffelaar.nl (also for Jabber & MSN; ICQ: 33944357)
http://Jeroen.A-Eskwadraat.nl



Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 362047-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 362047-close@bugs.debian.org
Cc: python2.1@packages.debian.org, python2.1@packages.qa.debian.org, python2.2@packages.debian.org, python2.2@packages.qa.debian.org
Subject: Bug#362047: fixed
Date: Tue, 11 Apr 2006 16:09:08 -0700
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

idle-python2.1 | 2.1.3dfsg-3 | all
idle-python2.2 | 2.2.3dfsg-4 | all
 python2.1 | 2.1.3dfsg-3 | source, alpha, arm, hppa, hurd-i386, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
python2.1-dev | 2.1.3dfsg-3 | alpha, arm, hppa, hurd-i386, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
python2.1-doc | 2.1.3dfsg-3 | all
python2.1-examples | 2.1.3dfsg-3 | all
python2.1-gdbm | 2.1.3dfsg-3 | alpha, arm, hppa, hurd-i386, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
python2.1-mpz | 2.1.3dfsg-3 | alpha, arm, hppa, hurd-i386, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
python2.1-tk | 2.1.3dfsg-3 | alpha, arm, hppa, hurd-i386, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
python2.1-xmlbase | 2.1.3dfsg-3 | alpha, arm, hppa, hurd-i386, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
 python2.2 | 2.2.3dfsg-4 | source, alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
python2.2-dev | 2.2.3dfsg-4 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
python2.2-doc | 2.2.3dfsg-4 | all
python2.2-examples | 2.2.3dfsg-4 | all
python2.2-gdbm | 2.2.3dfsg-4 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
python2.2-mpz | 2.2.3dfsg-4 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
python2.2-tk | 2.2.3dfsg-4 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
python2.2-xmlbase | 2.2.3dfsg-4 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 362047@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Jeroen van Wolffelaar (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 06:09:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 22:06:00 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.